function ekfData = initEKF(v0,T0,SigmaX0,SigmaV,SigmaW,model)
% Initial state description
ir0 = 0;                                                                ekfData.irInd = 1;
hk0 = 0;                                                              ekfData.hkInd = 2;
SOC0 = SOCfromOCVtemp(v0,model);             ekfData.zkInd = 3;
ekfData.xhat = [ir0 hk0 SOC0]'; % initial state
% Covariance values
ekfData.SigmaW = SigmaW;                             ekfData.SigmaV = SigmaV;
ekfData.SigmaX = SigmaX0;                              ekfData.SXbump = 5;
% previous value of current
ekfData.priorI = 0;
ekfData.signIk = 0;
% store model data structure too
ekfData.model = model;
end